## com.baidubce.services.bmr.model
Class HueApplicationConfig

    java.lang.Object
      com.baidubce.services.bmr.model.ApplicationConfig
          com.baidubce.services.bmr.model.HueApplicationConfig

    public class HueApplicationConfig

extends ApplicationConfig

Represent a HUE applicaton. A HUE application can be configured with property of version.

Constructor Summary
`HueApplicationConfig()`

Method Summary
`HueApplicationConfig` `withVersion(String version)` Configure the version of HUE.

Methods inherited from class com.baidubce.services.bmr.model.ApplicationConfig
`addProperty, getName, getProperties, getVersion, setName, setProperties, setVersion`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HueApplicationConfig

    public HueApplicationConfig()

Method Detail

### withVersion

    public HueApplicationConfig withVersion(String version)

  Configure the version of HUE. The reference version is as follows: image type | image version | HUE version supported hadoop | 0.1.0 | 3.7.1 hadoop | 0.2.0 | 3.7.1

  Parameters:
    `version` - The version of HUE.
  Returns:
    HueApplicationConfig

Copyright © 2016. All rights reserved.